package com.flossom.miniProgram.domain.vo;

import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Date;

public class UserMemberUpdateVo {

    /**
     * 昵称
     */
    @NotNull(message = "昵称不能为空")
    @Size(min = 1, max = 20, message = "昵称长度需要控制在20位以内")
    private String nickname;

    /**
     * 头像
     */
    private String headimg;

    /**
     * 省
     */
    @NotNull(message = "请选择省")
    private Long provinceId;

    /**
     * 省
     */
    @NotNull(message = "请选择省")
    private String province;

    /**
     * 市
     */
    @NotNull(message = "请选择市")
    private Long cityId;

    /**
     * 市
     */
    @NotNull(message = "请选择市")
    private String city;

    /**
     * 区
     */
    @NotNull(message = "请选择区")
    private Long areaId;

    /**
     * 区
     */
    @NotNull(message = "请选择区")
    private String area;

    /**
     * 生日
     */
    @NotNull(message = "请选择生日日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date birthday;

    public UserMemberUpdateVo() {
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getHeadimg() {
        return headimg;
    }

    public void setHeadimg(String headimg) {
        this.headimg = headimg;
    }

    public Long getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Long provinceId) {
        this.provinceId = provinceId;
    }

    public Long getCityId() {
        return cityId;
    }

    public void setCityId(Long cityId) {
        this.cityId = cityId;
    }

    public Long getAreaId() {
        return areaId;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }
}
